com.impinj.octane

## Class SpatialConfig

- java.lang.Object
- - com.impinj.octane.SpatialConfig

-     public class SpatialConfig
      extends java.lang.Object

  Class used to define the configuration for a reader with location or direction role capabilities.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectionConfig` | `getDirection()` Gets the reader's direction configuration.
    `LocationConfig` | `getLocation()` Gets the reader's location configuration.
    `SpatialMode` | `getMode()` Tracks the mode (Inventory, Location, or Direction) the reader with location or direction role capabilities is currently in.
    `PlacementConfig` | `getPlacement()` Gets the reader's placement configuration.
    `void` | `setDirection(DirectionConfig direction)` Sets the reader's direction configuration.
    `void` | `setLocation(LocationConfig location)` Sets the reader's location configuration.
    `void` | `setMode(SpatialMode mode)` Sets the mode (Inventory, Location, or Direction) the reader with location or direction role capabilities is currently in.
    `void` | `setPlacement(PlacementConfig placement)` Sets the reader's placement configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMode

          public SpatialMode getMode()

      Tracks the mode (Inventory, Location, or Direction) the reader with location or direction role capabilities is currently in.
      Returns:
        the currently selected SpatialMode.

    - #### setMode

          public void setMode(SpatialMode mode)

      Sets the mode (Inventory, Location, or Direction) the reader with location or direction role capabilities is currently in.
      Parameters:
        `mode` - the desired SpatialMode to be used.

    - #### getPlacement

          public PlacementConfig getPlacement()

      Gets the reader's placement configuration.
      Returns:
        the reader's placement configuration object.

    - #### setPlacement

          public void setPlacement(PlacementConfig placement)

      Sets the reader's placement configuration.
      Parameters:
        `placement` - the desired placement configuration.

    - #### getLocation

          public LocationConfig getLocation()

      Gets the reader's location configuration.
      Returns:
        the reader's location configuration object.

    - #### setLocation

          public void setLocation(LocationConfig location)

      Sets the reader's location configuration.
      Parameters:
        `location` - the desired location configuration.

    - #### getDirection

          public DirectionConfig getDirection()

      Gets the reader's direction configuration.
      Returns:
        the reader's direction configuration object.

    - #### setDirection

          public void setDirection(DirectionConfig direction)

      Sets the reader's direction configuration.
      Parameters:
        `direction` - the desired direction configuration.